Description

Directory listing with CVS SCM uses rls command which was not available in CVS versons prior to 1.12.

Could the CVS adapter use cvs -q -n rlog -R to get the repository contents listing?

History

#1 - 2009-10-26 16:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Closing this defect since RedmineRepositories clearly states that cvs 1.12 is required.

Feel free to submit a patch.

#2 - 2009-10-27 11:09 - alexander smishlajev

- File cvs_adapter.rb.patch added

- Status changed from Closed to Reopened

Well, but the "stable" CVS version still is 1.11, and 1.11 is shipped with the latest production releases of FreeBSD.

The patch is attached.

I admit that the variant requiring CVS version 1.12 is much more effective.  Perhaps Redmine could check the cvs version and then choose which

code to run?

#3 - 2009-10-27 11:53 - Jean-Philippe Lang

- Tracker changed from Defect to Patch

#4 - 2009-10-27 11:54 - Jean-Philippe Lang

- Subject changed from Repository browsing fails with CVS v1.11 to Directory listing with CVS v1.11 patch

- Category set to SCM

- Status changed from Reopened to New

#5 - 2010-08-10 22:01 - Gareth Sylvester-Bradley

FWIW, I've now been using this patch successfully for several months to enable repository browsing for our CVS 1.11 server. Thanks!

This week I just needed to tweak the regular expression that parses the revision info very slightly to play nice with patch #6090 to make downloading

binary files from a CVS repository work when running Redmine on Windows.

Change line 65 from:

          re_loginfo = "revision ([0-9.]+)\s*\n"

to:

          re_loginfo = "revision ([0-9.]+)\s*\r?\n"

#6 - 2022-01-10 02:33 - Go MAEDA
https://www.redmine.org/projects/redmine/wiki/RedmineRepositories
https://www.redmine.org/issues/6090


- Status changed from New to Closed

Closing this issue because CVS 1.11 is too old.

Files

cvs_adapter.rb.patch 4.07 KB 2009-10-27 alexander smishlajev
